Subject: Re: [PATCH 06/13] Add guide-list.txt and extraction shell

From: Philip Oakley <[email-masked]>
Date: Sun, 24 Feb 2013 22:12:54 +0000

On 24/02/13 14:51, W. Trevor King wrote:
> On Sat, Feb 23, 2013 at 11:05:54PM +0000, Philip Oakley wrote:
>> +# Usage: ./generate-guidelist.sh  >>common-guides.h
>
> Following David's recent series, it's probably better to use a
> lowercase 'usage' [1].
I prefer the Initial capital version to suggest the start of a sentence, 
but I can go with either way.

>                     Also, I'd expect '>common-guides.h' would make
> more sense than appending with '>>'.

My mistake. Will correct.

>
>> +/* re-use struct cmdname_help in common-commands.h */
>> +
>> +static struct cmdname_help common_guides[] = {"
>
> This is probably just copied from generate-cmdlist.sh, but maybe it
> would be a good idea to #include "common-commands.h" here?

I was trying to avoid nested includes. Eventually, if the series is 
accepted, I'd want to refactor the guide generation into the existing 
command generation so that .h file would then disappear.
>
> Trevor
>
> [1]: http://article.gmane.org/gmane.comp.version-control.git/216961
>
Philip